Package Details: amdapp-sdk-nocatalyst 3.0-23

Git Clone URL: https://aur.archlinux.org/amdapp-sdk.git (read-only)
Package Base: amdapp-sdk
Description: AMD Accelerated Parallel Processing (APP) SDK, 3.0 with OpenCL 2.0 support. Libs and ICD for non-catalyst users.
Upstream URL: https://developer.amd.com/amd-accelerated-parallel-processing-app-sdk/
Licenses: custom
Groups: amdapp
Conflicts: catalyst-utils
Submitter: Vi0L0
Maintainer: None
Last Packager: satcom886
Votes: 83
Popularity: 0.000775
First Submitted: 2013-02-11 21:03
Last Updated: 2019-08-16 21:33

Latest Comments

1 2 3 4 5 6 ... Next › Last »

satcom886 commented on 2019-08-16 22:23

I fixed the download URLs and the provides section and disowned the package since I don't have the time nor the knowledge required to maintain a package.

satcom886 commented on 2019-04-27 20:31

As @jamespharvey20 mentioned AMD no longer hosts AMD APP SDK install files. Can you please change the download URL to archive.org? There are both Linux32/64 and Windows32/64 versions available. https://archive.org/download/AMDAPPSDK

jamespharvey20 commented on 2019-03-29 23:27

Upstream's download appears to be gone without much comment. It's still downloadable from <https://github.com/Microsoft/LightGBM/releases/download/v2.0.12/AMD-APP-SDKInstaller-v3.0.130.136-GA-linux64.tar.bz2>.

enihcam commented on 2018-12-12 23:27

please add "opencl-driver" in provides. Thanks.

redshoe commented on 2018-02-02 16:56

@Nightbane112

Nevermind, I got it working. Thank you for the instruction.

redshoe commented on 2018-02-02 15:42

@Nightbane112

I have a question on step 2). Do you mean 'place it in /makepkg/src' by literally at /makepkg/src not in sub-working directory?

Nightbane112 commented on 2018-02-02 10:36

For anyone who still needs to use this package:

1) You need to edit the source URL from "http://developer.amd.com/tools-and-sdks/opencl-zone/amd-accelerated-parallel-processing-app-sdk/" to "http://developer.amd.com/amd-accelerated-parallel-processing-app-sdk/".

2) Download the SDK direclty from the website and place it in /makepkg/src directory. Run makepkg manually to avoid the checksum error due to incomplete download (The download gets interrupted midway when using an AUR helper).

FYI, opencl-amd (https://aur.archlinux.org/packages/opencl-amd/) runs OpenCL on GPU whereas this package allow running OpenCL on the CPU.

TheGuardianWolf commented on 2018-01-23 08:28

Anyone looking at this package should be considering this instead

https://aur.archlinux.org/packages/opencl-amd/

ArnaudNux commented on 2017-12-25 01:52

==> Starting prepare()... ==> WARNING: Installing this package means that you have red, understood and ACCEPTED ==> WARNING: the license agreement posted at http://developer.amd.com/amd-license-agreement-appsdk/ ==> WARNING: ==> WARNING: will sleep 5 sec to make sure you red it :P ==> WARNING: Download will take not much time and echo some random letters [nonce1] Loaded CA certificate '/etc/ssl/certs/ca-certificates.crt' ERROR: The certificate of 'developer.amd.com' is not trusted. ERROR: The certificate of 'developer.amd.com' has expired. The certificate has expired ==> ERROR: A failure occurred in prepare(). Aborting...

hotaru commented on 2017-12-21 18:36

after changing the URL as suggested by gabi.hulea:

==> Validating AMD-APP-SDKInstaller-v3.0.130.136-GA-linux64.tar.bz2 files with sha256sum ... AMD-APP-SDKInstaller-v3.0.130.136-GA-linux64.tar.bz2: FAILED sha256sum: WARNING: 1 computed checksum did NOT match